      SUBROUTINE TMPROD(M,N,L,A,KA,B,KB,C,KC)
      REAL A(KA,N),B(KB,L),C(KC,L)
      DOUBLE PRECISION S
      DO 12 J=1,L
      DO 11 I=1,N
      S = 0.D0
      DO 10 K=1,M
   10 S = S + DBLE(A(K,I))*DBLE(B(K,J))
   11 C(I,J) = S
   12 CONTINUE
      RETURN
      END
